> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corgea.app/llms.txt
> Use this file to discover all available pages before exploring further.

# 問題のステータスを更新

> アクセス可能なSASTの問題を1件更新します。`heeler.view_issue` と `heeler.change_issue_status` が必要です。status と判断理由を説明する空でない comment を指定してください。再開時は理由の審査を行いませんが、コメントは必要です。管理者以外による誤検出・リスク受容の判断で会社が承認を必須としている場合は202を返し、承認まで問題は変更されません。会社の管理者は承認を省略できます。一括操作の件数や重大度のしきい値は適用されません。未知のフィールドは拒否されます。



## OpenAPI

````yaml /ja/api-reference/openapi.json patch /issue/{issue_id}
openapi: 3.0.0
info:
  title: Corgea API
  version: 1.0.0
  description: Corgeaのスキャン機能および脆弱性管理機能を操作するためのAPI
servers:
  - url: https://www.corgea.app/api/v1
    description: 本番サーバー
  - url: https://eu.corgea.app/api/v1
    description: EU本番サーバー
security:
  - CorgeaToken: []
  - BearerAuth: []
paths:
  /issue/{issue_id}:
    patch:
      tags:
        - Issues
      summary: 問題のステータスを更新
      description: >-
        アクセス可能なSASTの問題を1件更新します。`heeler.view_issue` と
        `heeler.change_issue_status` が必要です。status と判断理由を説明する空でない comment
        を指定してください。再開時は理由の審査を行いませんが、コメントは必要です。管理者以外による誤検出・リスク受容の判断で会社が承認を必須としている場合は202を返し、承認まで問題は変更されません。会社の管理者は承認を省略できます。一括操作の件数や重大度のしきい値は適用されません。未知のフィールドは拒否されます。
      operationId: updateIssueStatus
      parameters:
        - name: issue_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: 問題ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IssueStatusRequest'
      responses:
        '200':
          description: リクエストが成功しました
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IssueStatusResponse'
        '202':
          description: 承認待ち。問題のステータスは変更されていません
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IssueStatusResponse'
        '400':
          description: リクエストが無効、または理由が不十分です
        '401':
          $ref: '#/components/responses/Unauthorized'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          description: 保存前に問題が変更されました。最新情報を取得して再試行してください
components:
  schemas:
    IssueStatusRequest:
      type: object
      properties:
        status:
          type: string
          enum:
            - open
            - fix_in_progress
            - fixed
            - false_positive
            - accepted_risk
            - duplicate
        comment:
          type: string
          minLength: 1
        expiry_date:
          type: string
          format: date-time
          nullable: true
          description: リスク受容の任意の有効期限。ISO-8601形式の将来の日時を指定します。
      required:
        - status
        - comment
      additionalProperties: false
    IssueStatusResponse:
      type: object
      properties:
        status:
          type: string
          example: ok
        action:
          $ref: '#/components/schemas/JaTriageAction'
        issue:
          type: object
          properties:
            id:
              type: string
              format: uuid
            status:
              type: string
              enum:
                - open
                - fix_in_progress
                - fixed
                - false_positive
                - accepted_risk
                - duplicate
            status_comment:
              type: string
              nullable: true
            accepted_risk_expiry_date:
              type: string
              format: date-time
              nullable: true
    JaTriageAction:
      type: object
      properties:
        id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - preview
            - pending_approval
            - applied
            - rejected
            - failed
        source:
          type: string
          enum:
            - api
            - cli
            - cxone
        target_status:
          type: string
        justification:
          type: string
        accepted_risk_expiry_date:
          type: string
          format: date-time
          nullable: true
        rule:
          type: object
        source_metadata:
          type: object
        requires_approval:
          type: boolean
        requested_by:
          type: integer
          nullable: true
        approved_by:
          type: integer
          nullable: true
        rejected_by:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
        reviewed_at:
          type: string
          format: date-time
          nullable: true
        applied_at:
          type: string
          format: date-time
          nullable: true
        counts:
          type: object
          properties:
            matched:
              type: integer
            unmatched:
              type: integer
            ambiguous:
              type: integer
            applied:
              type: integer
            conflicts:
              type: integer
  responses:
    Unauthorized:
      description: トークンが無効か、指定されていません
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Missing or invalid authorization header
    Forbidden:
      description: 権限がないか、機能を利用できません
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Permission denied
    NotFound:
      description: リソースが見つかりません
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
                example: Policy not found
  securitySchemes:
    CorgeaToken:
      type: apiKey
      in: header
      name: CORGEA-TOKEN
      description: 認証用のAPIキー 無効なユーザーのAPIトークンは拒否されます。
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Authorizationヘッダーで使用するOAuth2アクセストークン（JWT）

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.